# Dipal X Tree

This package is the community edition of the tree view components.
It's part of [MUI X](https://mui.com/x/), an open-core extension of MUI Core, with advanced components.
This Package is customized version of the main.
We added multiple features like:
1. Dynamic values
2. Dynamic values with changed animation strategy
3. Api for manually showing icon for expanding tree

## Installation

Install the package in your project directory with:

```bash
npm install dipal-x-tree
yarn add dipal-x-tree
```

This component has the following peer dependencies that you will need to install as well.

```json
"peerDependencies": {
  "@mui/material": "^5.8.6",
  "@mui/system": "^5.8.0",
  "react": "^17.0.0 || ^18.0.0",
  "react-dom": "^17.0.0 || ^18.0.0"
},
```

## Documentation

Visit [https://mui.com/x/react-tree-view/](https://mui.com/x/react-tree-view/) to view the full documentation.
